< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package co
  Definition Classes
    uk
-  package bigbeeconsultants
  Definition Classes
    co
-  package util
  Definition Classes
    bigbeeconsultants
- DiagnosticTimer
- Duration

c

uk.co.bigbeeconsultants.util

# Duration 

###
Companion object Duration

#### case class Duration(microseconds: Long) extends Ordered[Duration] with Product with Serializable

Provides a simple container for time durations measured in microseconds. Possible operations include summing durations together and calculating averages.

This is a bit like the class of the same name in Joda Time, except that the resolution is microseconds in this case.

microseconds

  a number representing a time duration; negative numbers are unusual but not prohibited.

Linear Supertypes
Serializable, Serializable, Product, Equals, Ordered[Duration], Comparable[Duration], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Duration
2. Serializable
3. Serializable
4. Product
5. Equals
6. Ordered
7. Comparable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Duration(microseconds: Long)

   microseconds

     a number representing a time duration; negative numbers are unusual but not prohibited.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def *(factor: Int): Duration
4.  def +(duration: Duration): Duration
5.  def +(microseconds: Long): Duration
6.  def -(microseconds: Long): Duration
7.  def -(duration: Duration): Duration
8.  def /(divisor: Int): Duration
9.  def <(that: Duration): Boolean
   Definition Classes
     Ordered
10.  def <=(that: Duration): Boolean
    Definition Classes
      Ordered
11.  final def ==(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def >(that: Duration): Boolean
    Definition Classes
      Ordered
13.  def >=(that: Duration): Boolean
    Definition Classes
      Ordered
14.  def abs: Duration
15.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
16.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
17.  def compare(that: Duration): Int
    Definition Classes
      Duration → Ordered
18.  def compareTo(that: Duration): Int
    Definition Classes
      Ordered → Comparable
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def max(other: Duration): Duration
24.  val microseconds: Long
25.  def min(other: Duration): Duration
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      Duration → AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Ordered[Duration]

### Inherited from Comparable[Duration]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped